
import { NativeModules } from 'react-native';
import {Platform} from 'react-native';

const { RNInternetReachability } = NativeModules;


export const isReachable = async (timeout?: Number) => {
	timeout = timeout ? timeout : 5000

	return new Promise((resolve, reject) => {
		RNInternetReachability.isReachable(timeout)
			.then(result => {
				if (Platform.OS === 'ios') {
					resolve(result === 1 ? true : false)
				} else {
					resolve(result)
				}
			})
			.catch(error => {
				resolve(false)
			})
	}).catch(error => { alert('err : ' + error.message); });
}

export default {
	isReachable,
}